<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<form name="form" ng-submit="submit()" class="form-horizontal">
    <div class="box-header with-border">
        <h3 class="box-title"><strong>Etape 2</strong> : Sélectionnez le chemin d'extraction des POI</h3>
        <!-- /.box-tools -->
    </div>
    <div class="box-body">
        <div class="small-box bg-gray-light">
            <div class="icon-heading">
                <i class="fa fa-info-circle"></i>
            </div>
            <div class="inner">
                Pour amorcer la définition de vos règles d'alignement, il faut tout d'abord localiser les POI dans votre flux XML.<br>
                <strong>Vous devez choisir une balise assez haut placée de sorte que l'ensemble des éléments constitutifs d'un POI se trouvent dans sa hiérarchie descendante.</strong>
            </div>
        </div>
        <div class="form-group required" ng-class="{'has-error': form.xpathContext.$invalid && form.$submitted}">
            <label class="col-sm-4 control-label required">Chemin d'extraction des POI</label>
            <div class="col-sm-8">
                <xpath-input name="xpathContext" ng-model="data.xpathContext" schema="schema" selector="element" mode="xpath" required></xpath-input>
                <p class="help-block" ng-show="form.xpathContext.$invalid && form.$submitted">Vous devez choisir un chemin valide !</p>
            </div>
        </div>
    </div>
    <div class="box-footer">
        <a class="btn btn-default" ui-sref="wizard.step0">Etape précédente</a>
        <button type="submit" class="btn btn-primary pull-right" ng-class="{disabled: form.$invalid}">Etape suivante</button>
    </div>
</form>